;; -*- lexical-binding: t; -*-
;; TODO - convert to use-package

;; TODO - drop cp/ prefix, use contrapunctus-, set up nameless package
;; names

;; TODO - create wrapper for
;; xref-find-definitions/xref-find-definitions-other-window

;; TODO - make ag suggest my last isearch term

;; TODO - make a completing prompt for Info manuals instead of the
;; current approach of either opening info and searching for a manual
;; or binding calls to (info "(something)") to keys.

;; TODO - add idle timer for recentf-cleanup

;; TODO - write command to deduce actions for directory based on
;; contents. e.g. if a directory has only/mostly videos, run `vlc
;; --recursive expand <dir>', mostly images - `sxiv -for <dir>', etc.
;; With prefix arg or when confused, ask for command (with
;; completion).

;; TODO - lets write something quicker to find files. Don't ask for
;; directory * - just start in the current working directory. Update
;; results as we type (after a little delay). Don't make user input
;; arguments to find(1) * - by default, search the whole path, put
;; filename matches first, path matches later.
;;
;; * maybe only with prefix arg.

;; TODO - stop desktop-save from saving my buffers - just save history etc (persp-mode?)

;; TODO - make idle timer to find all local git repos with uncommited changes

;; Reorganize into subdirectories?
;; text - org, md, tex
;; prog - lisp, lilypond
;; non-text - doc-view, emms
;; applications - eww, chronometrist, fm, irc
;; input - modal, hindi

;;;; Code:
(setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

(require 'package)
;; when GNU ELPA is down
(setq package-archives (assoc-delete-all "gnu" package-archives))
(add-to-list 'package-archives '("melpa" . "https://melpa.org/packages/") t)
;; Comment/uncomment this line to enable MELPA Stable if desired. See
;; `package-archive-priorities` and `package-pinned-packages`. Most
;; users will not need or want to do this.
;; (add-to-list 'package-archives '("melpa-stable" . "https://stable.melpa.org/packages/") t)
(package-initialize)

(load "~/.emacs.d/init-org")
(put 'erase-buffer 'disabled nil)
